Index: TXM/trunk/org.txm.rcp/schema/org.txm.rcp.importsection.exsd
===================================================================
--- TXM/trunk/org.txm.rcp/schema/org.txm.rcp.importsection.exsd	(revision 0)
+++ TXM/trunk/org.txm.rcp/schema/org.txm.rcp.importsection.exsd	(revision 3300)
@@ -0,0 +1,102 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!-- Schema file written by PDE -->
+<schema targetNamespace="org.txm.rcp" xmlns="http://www.w3.org/2001/XMLSchema">
+<annotation>
+      <appinfo>
+         <meta.schema plugin="org.txm.rcp" id="org.txm.rcp.importsection" name="Import parameter section"/>
+      </appinfo>
+      <documentation>
+         [Enter description of this extension point.]
+      </documentation>
+   </annotation>
+
+   <element name="extension">
+      <annotation>
+         <appinfo>
+            <meta.element />
+         </appinfo>
+      </annotation>
+      <complexType>
+         <choice minOccurs="1" maxOccurs="unbounded">
+            <element ref="importsectionconfiguration"/>
+         </choice>
+         <attribute name="point" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="id" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute translatable="true"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <element name="importsectionconfiguration">
+      <complexType>
+         <attribute name="class" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.rcp.editors.imports.ImportEditorSectionConfigurator:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="since"/>
+      </appinfo>
+      <documentation>
+         [Enter the first release in which this extension point appears.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="examples"/>
+      </appinfo>
+      <documentation>
+         [Enter extension point usage example here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="apiinfo"/>
+      </appinfo>
+      <documentation>
+         [Enter API information here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="implementation"/>
+      </appinfo>
+      <documentation>
+         [Enter information about supplied implementation of this extension point.]
+      </documentation>
+   </annotation>
+
+
+</schema>

Index: TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java
===================================================================
--- TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java	(revision 3299)
+++ TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editors/imports/sections/AnnotationSection.java	(revision 3300)
@@ -56,13 +56,13 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (!this.section.isDisposed()) {
 			String value = nameText.getText();
 			
Index: TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java	(revision 3299)
+++ TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/InstallRUserPart.java	(revision 3300)
@@ -17,7 +17,7 @@
 		
 		File scriptsDirectory = new File(dir, "scripts");
 		scriptsDirectory.mkdirs();
-		BundleUtils.copyFiles("org.txm.statsengine.r.core", "", "", "R/", scriptsDirectory);
+		BundleUtils.copyFiles("org.txm.statsengine.r.core", "", "", "R/", scriptsDirectory, true);
 		
 		return dir.exists() && scriptsDirectory.exists();
 	}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3299)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/editors/imports/sections/AnnotationSection.java	(revision 3300)
@@ -57,7 +57,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -71,7 +71,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (!this.section.isDisposed()) {
 			String value = nameText.getText();
 			
Index: TXM/trunk/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java
===================================================================
--- TXM/trunk/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 3299)
+++ TXM/trunk/org.txm.dictionary.rcp/src/org/txm/dictionary/commands/DoInstallStep.java	(revision 3300)
@@ -3,14 +3,10 @@
 
 import java.io.File;
 
-import org.eclipse.core.commands.ExecutionEvent;
 import org.osgi.framework.Version;
 import org.txm.PostInstallationStep;
 import org.txm.Toolbox;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.dictionary.preferences.DictionaryPreferences;
-import org.txm.rcp.TxmPreferences;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
 
@@ -43,7 +39,17 @@
 		System.out.println("Post-installing Dictionary version="+currentVersion);
 		
 		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro");
-		if (!BundleUtils.copyFiles("Dictionary", "src", "org/txm/macro/", "frolex", macroDirectory)) {
+		
+		File previousURSMacroDirectory = new File(macroDirectory, "frolex");
+		if (previousURSMacroDirectory.exists() && saved != null && saved.length() > 0) {
+			File back = new File(previousURSMacroDirectory.getParentFile(), previousURSMacroDirectory.getName()+"_"+saved); //$NON-NLS-1$
+			if (back.exists()) {
+				return;
+			}
+			previousURSMacroDirectory.renameTo(back);
+		}
+		
+		if (!BundleUtils.copyFiles("Dictionary", "src", "org/txm/macro/", "frolex", macroDirectory, true)) {
 			Log.severe("Error while coping Dictionary org/txm/macro/frolex in "+macroDirectory.getAbsolutePath());
 			return;
 		}
Index: TXM/trunk/org.txm.connlu.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.connlu.core/META-INF/MANIFEST.MF	(revision 3299)
+++ TXM/trunk/org.txm.connlu.core/META-INF/MANIFEST.MF	(revision 3300)
@@ -1,12 +1,12 @@
 Manifest-Version: 1.0
 Automatic-Module-Name: org.txm.connlu.core
-Bundle-SymbolicName: org.txm.ud.core;singleton:=true
-Export-Package: org.txm.ud.core,
- org.txm.ud.function,
- org.txm.ud.preferences
-Bundle-Name: CONNLU
+Bundle-SymbolicName: org.txm.conllu.core;singleton:=true
+Export-Package: org.txm.conllu.core,
+ org.txm.conllu.core.function,
+ org.txm.conllu.core.preferences
+Bundle-Name: org.txm.conllu.core
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport,
+Require-Bundle: org.txm.core;visibility:=reexport,
  org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.treesearch.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.libs.deptreeviz;bundle-version="0.3.0";visibility:=reexport,
Index: TXM/trunk/org.txm.connlu.core/.project
===================================================================
--- TXM/trunk/org.txm.connlu.core/.project	(revision 3299)
+++ TXM/trunk/org.txm.connlu.core/.project	(revision 3300)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.ud.core</name>
+	<name>org.txm.conllu.core</name>
 	<comment></comment>
 	<projects>
 	</projects>
